package entity

import "time"

type NamedEntity struct {
	Name       string    `json:"name"`
	EntityType string    `json:"entity_type"`
	CreatedAt  time.Time `json:"created_at"`
	NewsItems  []*NewsItem
}

func NewNamedEntity(name, entityType string, createdAt time.Time) *NamedEntity {
	return &NamedEntity{
		Name:       name,
		EntityType: entityType,
		CreatedAt:  createdAt,
	}
}
